GetAnnotation
curl --request GET \
--url https://api.siftstack.com/api/v1/annotations/{annotationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/annotations/{annotationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/annotations/{annotationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"annotation": {
"annotationId": "<string>",
"name": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"annotationType": "ANNOTATION_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"runId": "<string>",
"state": "ANNOTATION_STATE_UNSPECIFIED",
"assignedToUserId": "<string>",
"legendConfig": "<string>",
"createdByConditionId": "<string>",
"createdByRuleConditionVersionId": "<string>",
"reportRuleVersionId": "<string>",
"pending": true,
"assignedToUser": {
"userId": "<string>",
"userName": "<string>",
"organizations": [
{
"organizationId": "<string>",
"organizationName": "<string>"
}
]
},
"deletedDate": "2023-11-07T05:31:56Z",
"linkedChannels": [
{
"channel": {
"channelId": "<string>"
},
"bitFieldElement": {
"channelId": "<string>",
"bitFieldName": "<string>"
}
}
],
"assetIds": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}AnnotationService
GetAnnotation
Retrieves an annotation
GET
/
api
/
v1
/
annotations
/
{annotationId}
GetAnnotation
curl --request GET \
--url https://api.siftstack.com/api/v1/annotations/{annotationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/annotations/{annotationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/annotations/{annotationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"annotation": {
"annotationId": "<string>",
"name": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"annotationType": "ANNOTATION_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"runId": "<string>",
"state": "ANNOTATION_STATE_UNSPECIFIED",
"assignedToUserId": "<string>",
"legendConfig": "<string>",
"createdByConditionId": "<string>",
"createdByRuleConditionVersionId": "<string>",
"reportRuleVersionId": "<string>",
"pending": true,
"assignedToUser": {
"userId": "<string>",
"userName": "<string>",
"organizations": [
{
"organizationId": "<string>",
"organizationName": "<string>"
}
]
},
"deletedDate": "2023-11-07T05:31:56Z",
"linkedChannels": [
{
"channel": {
"channelId": "<string>"
},
"bitFieldElement": {
"channelId": "<string>",
"bitFieldName": "<string>"
}
}
],
"assetIds": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
The response of a call to AnnotationService_GetAnnotation.
Show child attributes
Show child attributes
Was this page helpful?
⌘I